let Pickup = [
    'minecraft:barrel',
    '#ls_furniture:barrels'
]

ServerEvents.tags('block', event => {
    let PickUpChests = event.get('c:chests').getObjectIds()
    let blacklist =  Ingredient.of(/.*lootr:.*/)
    PickUpChests.forEach(chest => {
        if (!blacklist.test(chest)) event.add('cv:carryon_whitelist', chest)
    })

    Pickup.forEach(block => {
        event.add('cv:carryon_whitelist', block)
    })
})